classification
Title: --fromfile, --match, and --randomize don't work in regrtest
Type: behavior Stage: resolved
Components: Versions: Python 3.4, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: chris.jerdonek, ezio.melotti, python-dev
Priority: normal Keywords: easy, patch

Created on 2012-07-11 08:42 by chris.jerdonek, last changed 2012-12-28 02:37 by chris.jerdonek. This issue is now closed.

Files
File name Uploaded Description Edit
issue-15324-1.patch chris.jerdonek, 2012-12-27 11:43 review
Messages (5)
msg165235 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-07-11 08:42
The long form of the -m/--match option does not work with regrtest because it does not accept an argument.  For example (observe the lack of an error in the second invocation)--

$ ./python.exe -m test -m 
option -m requires argument
Use --help for usage
$ ./python.exe -m test --match
== CPython 3.3.0b1 (default:5d43154d68a8, Jul 8 2012, 13:54:45) [GCC 4.2.1 Compatible Apple Clang 3.1 (tags/Apple/clang-318.0.58)]
...
msg165244 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-07-11 10:06
Note that issue 15302 will fix this.
msg165414 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-07-13 20:03
This and the two similar issues can be fixed without waiting for the enhancement patch by correcting the typos in the getopt invocation. I would be happy to file patches or a combined patch to fix just the typos.
msg178295 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-12-27 11:43
The attached patch will fix this issue as well as issue 15325 and issue 15326.  Also, I'm removing issue 15302 as a superseder because that issue is limited to 3.4.  The attached patch is for prior versions.  (Also, it doesn't hurt to apply this to 3.4 if 15302 hasn't been resolved by then.)
msg178354 - (view) Author: Roundup Robot (python-dev) Date: 2012-12-28 02:34
New changeset b7a0e03bb987 by Chris Jerdonek in branch '2.7':
Issue #15324: Fix regrtest parsing of --fromfile and --randomize options.
http://hg.python.org/cpython/rev/b7a0e03bb987

New changeset b2cd12690a51 by Chris Jerdonek in branch '3.2':
Issue #15324: Fix regrtest parsing of --fromfile, --match, and --randomize.
http://hg.python.org/cpython/rev/b2cd12690a51

New changeset e100d34070cb by Chris Jerdonek in branch '3.3':
Merge from 3.2: Issue #15324: Fix regrtest --fromfile, --match, --randomize.
http://hg.python.org/cpython/rev/e100d34070cb

New changeset 2c3399510781 by Chris Jerdonek in branch 'default':
Merge from 3.3: Issue #15324: Fix regrtest --fromfile, --match, --randomize.
http://hg.python.org/cpython/rev/2c3399510781
History
Date User Action Args
2012-12-28 02:37:16chris.jerdoneksetstatus: open -> closed
type: enhancement -> behavior
resolution: fixed
stage: patch review -> resolved
2012-12-28 02:34:39python-devsetnosy: + python-dev
messages: + msg178354
2012-12-27 21:49:19chris.jerdoneklinkissue15326 superseder
2012-12-27 21:47:53chris.jerdoneklinkissue15325 superseder
2012-12-27 21:46:19chris.jerdoneksettitle: --match does not work for regrtest -> --fromfile, --match, and --randomize don't work in regrtest
2012-12-27 11:43:35chris.jerdoneksetfiles: + issue-15324-1.patch
versions: + Python 2.7, Python 3.2, Python 3.3
messages: + msg178295

keywords: + patch
superseder: Use argparse instead of getopt in test.regrtest ->
2012-07-13 20:03:30chris.jerdoneksetmessages: + msg165414
2012-07-13 19:28:01ezio.melottisetversions: + Python 3.4, - Python 3.3
nosy: + ezio.melotti

superseder: Use argparse instead of getopt in test.regrtest
type: enhancement
stage: patch review
2012-07-11 10:06:04chris.jerdoneksetmessages: + msg165244
2012-07-11 08:42:46chris.jerdonekcreate